curl --request GET \
--url https://api-v2.boost.xyz/reward-kitimport requests
url = "https://api-v2.boost.xyz/reward-kit"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-v2.boost.xyz/reward-kit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activeBoosts": [
{
"id": "8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:1",
"chainId": 123,
"incentives": [
{
"type": "AllowListIncentive",
"assetAddress": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"rewardPercentage": 50,
"rebatePercentage": 7,
"rewardAmount": "<string>",
"rewardAmountFormatted": "<string>",
"maxReward": "<string>",
"maxRewardUsdValue": 123,
"rewardUsdValue": 123,
"tokenSymbol": "<string>",
"tokenImageUri": "<string>",
"metadata": {
"id": "<string>",
"chainId": 123,
"address": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"imageUri": "<string>"
}
}
],
"actionTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"actionType": "mint",
"projectImage": "<string>",
"description": "<string>",
"category": "defi"
},
"status": "active",
"txHash": "<string>",
"boostName": "<string>",
"nftImageUri": "<string>",
"nftName": "<string>",
"tokenImageUri": "<string>",
"blockTimestamp": "<string>",
"projectUrl": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"claimCount": 1,
"totalBudget": "<string>",
"rewardsDistributed": "<string>",
"signature": {
"claimant": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"incentiveId": 1,
"signature": "<string>",
"referrer": "0x378632819f39c74c4f56b1429e760739c5fb51b7"
},
"accessStatus": "allowed",
"actionTokenMetadata": {
"tokenSymbol": "<string>",
"tokenContract": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"chainId": 123,
"tokenImage": "<string>",
"decimals": 123,
"marketCap": 123,
"priceChange24Hr": 123,
"volume24Hr": 123,
"priceUsd": 123,
"holders": 123
},
"verificationLevel": "<string>",
"usdDistributed24Hr": 12345.67,
"usdDistributed1Hr": 1234.56
}
],
"claimedBoosts": [
{
"id": "8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:1",
"chainId": 123,
"incentives": [
{
"type": "AllowListIncentive",
"assetAddress": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"rewardPercentage": 50,
"rebatePercentage": 7,
"rewardAmount": "<string>",
"rewardAmountFormatted": "<string>",
"maxReward": "<string>",
"maxRewardUsdValue": 123,
"rewardUsdValue": 123,
"tokenSymbol": "<string>",
"tokenImageUri": "<string>",
"metadata": {
"id": "<string>",
"chainId": 123,
"address": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"imageUri": "<string>"
}
}
],
"actionTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"actionType": "mint",
"projectImage": "<string>",
"description": "<string>",
"category": "defi"
},
"status": "active",
"txHash": "<string>",
"boostName": "<string>",
"nftImageUri": "<string>",
"nftName": "<string>",
"tokenImageUri": "<string>",
"blockTimestamp": "<string>",
"projectUrl": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"claimCount": 1,
"totalBudget": "<string>",
"rewardsDistributed": "<string>",
"signature": {
"claimant": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"incentiveId": 1,
"signature": "<string>",
"referrer": "0x378632819f39c74c4f56b1429e760739c5fb51b7"
},
"accessStatus": "allowed",
"actionTokenMetadata": {
"tokenSymbol": "<string>",
"tokenContract": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"chainId": 123,
"tokenImage": "<string>",
"decimals": 123,
"marketCap": 123,
"priceChange24Hr": 123,
"volume24Hr": 123,
"priceUsd": 123,
"holders": 123
},
"verificationLevel": "<string>",
"usdDistributed24Hr": 12345.67,
"usdDistributed1Hr": 1234.56
}
],
"claimableBoosts": [
{
"id": "8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:1",
"chainId": 123,
"incentives": [
{
"type": "AllowListIncentive",
"assetAddress": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"rewardPercentage": 50,
"rebatePercentage": 7,
"rewardAmount": "<string>",
"rewardAmountFormatted": "<string>",
"maxReward": "<string>",
"maxRewardUsdValue": 123,
"rewardUsdValue": 123,
"tokenSymbol": "<string>",
"tokenImageUri": "<string>",
"metadata": {
"id": "<string>",
"chainId": 123,
"address": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"imageUri": "<string>"
}
}
],
"actionTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"actionType": "mint",
"projectImage": "<string>",
"description": "<string>",
"category": "defi"
},
"status": "active",
"txHash": "<string>",
"boostName": "<string>",
"nftImageUri": "<string>",
"nftName": "<string>",
"tokenImageUri": "<string>",
"blockTimestamp": "<string>",
"projectUrl": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"claimCount": 1,
"totalBudget": "<string>",
"rewardsDistributed": "<string>",
"signature": {
"claimant": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"incentiveId": 1,
"signature": "<string>",
"referrer": "0x378632819f39c74c4f56b1429e760739c5fb51b7"
},
"accessStatus": "allowed",
"actionTokenMetadata": {
"tokenSymbol": "<string>",
"tokenContract": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"chainId": 123,
"tokenImage": "<string>",
"decimals": 123,
"marketCap": 123,
"priceChange24Hr": 123,
"volume24Hr": 123,
"priceUsd": 123,
"holders": 123
},
"verificationLevel": "<string>",
"usdDistributed24Hr": 12345.67,
"usdDistributed1Hr": 1234.56
}
],
"totalClaimedAmountUsd": 1,
"totalClaimableAmountUsd": 1
}{
"error": "<string>"
}Get a user's RewardKit profile
Returns a list of active, claimable, and unclaimed rewards for a given user.
Query Parameters
Filter boosts by budget account address(es). Accepts a single address or comma-separated list of addresses
"0x378632819f39c74c4f56b1429e760739c5fb51b7,0x1234567890123456789012345678901234567890"
Filter boosts by a specific owner address
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
Filter boosts by a specific autoboost ID
Only retrieve Boosts for a specific chain ID. You must supply this parameter if also specifying targetContract
x >= 0Retrieve rewards configured with actions that target a specific contract i.e., Zora's address for all rewards that require a mint in order to claim a reward. If you supply this parameter, you must also supply chainId
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
Retrieve rewards configured with specific token addresses
"chainId:tokenAddress,chainId:tokenAddress:collection,..."
Filter boosts by comma separated list of distribution channels
"distributionChannel=public,farcaster"
Sort by active or recently deployed
active, recently-deployed Filter boosts by token whitelist
Filter rewards by a reward's creator address
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
Show relevant rewards for this user's address
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
Filter by the type of actions that must be taken to claim the reward, eg: "mint", "swap"
"swap,mint"
Exclude rewards with these action types, eg: "mint", "swap"
"mint,create-any-token"
Include token metadata (price, market cap, etc.) for swap actions. Defaults to false.
true
Response
Returns a user's RewardKit profile
Rewards and metadata that correspond to the RewardKit for a user's address
An array of active RewardKit rewards that match a filter criteria, but are not yet claimable or claimed
Show child attributes
Show child attributes
An array of claimed RewardKit rewards that match a filter criteria
Show child attributes
Show child attributes
An array of claimable RewardKit rewards that match a filter criteria
Show child attributes
Show child attributes
The total amount of USD claimed by the user via rewards that match a filter criteria
x >= 0The total amount of USD claimable by the user via rewards that match a filter criteria
x >= 0